Create a user pay rate

Path Parameters
  • userId
    Type: integer
    required

    ID of user

Body·
required
application/json
  • caption
    Type: string

    Human-readable label identifying the purpose or context of this rate (e.g. 'Standard', 'After hours')

  • rate
    Type: integer

    Hourly rate value for the user in the smallest currency unit

  • validUntil
    Type: string Format: date-time

    Date and time until which this rate is valid; null or absent means the rate is currently active

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/user/{userId}/rate
curl https://test.boost.space/api/user/1/rate \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "caption": "string",
  "rate": 1,
  "validUntil": "2026-01-15T09:30:00Z"
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "caption": "string",
  "rate": 1,
  "validUntil": "2026-01-15T09:30:00Z"
}